# Gimp.Metadata.get_resolution

    @accepts(Gimp.Metadata, float, float, Gimp.Unit)
    @returns(bool)
    def get_resolution(self, xres, yres, unit):
        # Python wrapper for gimp_metadata_get_resolution()

Returns values based on Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of self.

Since 2.10

self

  A Gimp.Metadata instance.

xres

  Return location for the X Resolution, in ppi

yres

  Return location for the Y Resolution, in ppi

unit

  Return location for the unit unit

Returns